from crucible import review
from mercurial import commands
from mercurial.i18n import _

cmdtable = {
    "review": (review,
               [('', 'vv', False, _('very verbose; print full server responses on error')),
                ('r', 'rev', 'tip', _('a revision (single or range) to send')),
                ('', 'host', '', _('base url of Crucible')),
                ('', 'username', '', _('Crucible username')),
                ('', 'password', '', _('Crucible password (omit to be prompted)')),
                ('', 'project', '', _('Crucible project')),
                ('', 'reviewers', '', _('reviewers (comma separated, e.g. "fred,joe,matt")')),
                ('', 'moderator', '', _('moderator (optional)')),
                ('', 'context', '', _('context lines (optional)')),
               ] + commands.remoteopts,
               _("hg review [OPTION]..."))
}
